Subject: [os2genau_digest] No. 705
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 5 Oct 2003 00:03:58 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 04 October 2003
 Number  705
**************************************************

Subjects for today
 
1  Re:  Adapters for ADSL plus LAN Peer - Config Problem : =?iso-8859-1?q?Peter=20Godbold?= <jurraveel at yahoo dot com>
2  Re:  Adapters for ADSL plus LAN Peer - Config Problem : Ian Manners" <deadmail>
3  Re:  Adapters for ADSL plus LAN Peer - Config Problem : Ian Manners" <deadmail>
4  Re:  IBM Browser 2.0.1 vs Mozila 1.4 : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  Adapters for ADSL plus LAN Peer - Config Problem : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  IBM Browser 2.0.1 vs Mozila 1.4 : Daryl Pilkington" <u3232 at home.dialix dot com>

**= Email   1 ==========================**

Date:  Sat, 4 Oct 2003 02:06:48 +1000 (EST)
From:  Peter Godbold <jurraveel at yahoo dot com>
Subject:  Re:  Adapters for ADSL plus LAN Peer - Config Problem

Thanks Graham & Paul!  
 
I'll have a close look at the .INI files and see what I can do.
 
Re the Realtek driver on the eCS website, the only one I can find is marked as V3.23 (2003.01.27), and I have that one already.  Am I not seeing the one you are talking about Paul?
 
Peter

Paul Smedley <paul at smedley.info> wrote:
Hi Peter & Graham,

On Fri, 03 Oct 2003 16:29:57 +0930, Graham wrote:

>Peter Godbold wrote:
>
>>The NICs are Realtek 8139 Fast Ethernet Adapters with chips reported as 
RTL8100B/8139D in both. I am using NIC driver RTSND.OS2 V3.23vk dated 2003-01-27, as 
shipped with eCS 1.1.
>> 
>>I have removed IRQ levels 9 and 10 from the BIOS PCI assignments, but in trying to 
assign the NIC adapters to these IRQs, the first assigns to Level 9 OK, but the second gives a 
:
>> 
>>
>> 
>>message during system boot.
>> 
>>Is this a show-stopper? I'm getting subsequent BIND problems (PRO0025 message 
pointing to PPPOE_nif) even though, after boot-up, Hardware Manager shows the Ethernet 
Adapters as assigned to IRQs 9 and 10 respectively, with no conflicts. Both PROTOCOL.INI 
and IBMLAN.INI seem consistent, and I can PING the loopback interface, but there seems to 
be no other TCP/IP routes visible.

There is a newer version of Veit's driver - downloadable from the eCS website. Could also 
be that one of the IRQs is also in use by another driver that won't allow the sharing of the 
IRQ - eg a sound driver.

With Veit's Realtek driver - both NICs can share an IRQ - so if your m/board allows you to 
specify IRQs for each slot, make both NICs the same IRQ.

>I have the same setup and will send you the files - Paul Smedley may be 
>the best but he is off OS for a non computer holiday !

Graham's files are a good start as they show the protocol for clearly identifying each NIC.

Graham is right about me heading OS - but I don't leave until Tuesday :)

Cheers,

Paul.

----------------------------------------------------------------------------------

---------------------------------
Yahoo! Search
- Looking for more? Try the new Yahoo! Search
[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 04 Oct 2003 02:14:21 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Adapters for ADSL plus LAN Peer - Config Problem

Hi Peter

Another way to do it with earlier drivers.

http://www.os2site dot com/sw/network/misc/twonics.html

Cheers
Ian Manners
http://www.os2site dot com/

REAL Star Trek fans work out at the He's Dead Gym.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 04 Oct 2003 02:19:40 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Adapters for ADSL plus LAN Peer - Config Problem

PS

> http://www.os2site dot com/sw/network/misc/twonics.html

remove the netbeui & netbios stuff if not being used :-)

I long ago decided to simply use NIC's with different chipsets
as this gives the most long term stability, and is a lot easier to
setup. The 3com's though seem to very happily sort themselves
out and give no problems with 3 of the same model in the one
PC. Must admit I havent tried the latest realtek drivers, as I
decided to stick with 3coms and intel NIC's, work a lot better
in a 486 as they dont utilise any crunching from the CPU.

You can also find a lot of NIC drivers at

http://www.os2site dot com/sw/drivers/network/index.html

Cheers
Ian Manners
http://www.os2site dot com/

By the time this message gets back on topic, WE'LL ALL BE DEAD!
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 04 Oct 2003 06:41:40 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  IBM Browser 2.0.1 vs Mozila 1.4

Hi Daryl,

  The IBM Browser (Mozilla 1.2 level I think) does have JAVA integration "out of the
box", however it doesn't have (IMHO) the same level of site compatibility as Mozilla
1.41. There is a (slightly different) routine that allows you to integrate JAVA.

  There's also Mozilla v 1.5 that's just gone GA. It seems to be quicker than either
of the other two, but I'm not convinced yet about it's stability. The beta versions of
Mozilla 1.5 were certainly less stable than the betas of Mozilla 1.4.

 The main difference with Mozilla 1.5 is that it's compiled now using the GCC
compiler.

 It is possible to install both IBM Browser and Mozilla at the same time but don't try
to run them at the same time, one or other will fail.

I don't use Adelaide bank so I can't comment on compatibility. ANZ.COM works with all
three versions.

 Cheers/2

  Ed.

Daryl Pilkington wrote:

> Hi All,
> Which browser has less bugs & better compatability with web-sites:
> IBM Browser 2.0.1 or Mozilla 1.4 (Gecko/20030624)
>
> Has anyone got Adelaide Bank's Java app to work with Mozilla 1.4?
> Peoples experiences please using the versions above.
>

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 04 Oct 2003 06:56:08 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Adapters for ADSL plus LAN Peer - Config Problem

Hi Peter,

Check what is in SETUP.CMD and please clarify - does PROTOCOL.INI specifically state IRQ 9 and IRQ 10 allocation ?  By the way if you can avoid using IRQ 9 completely as its the shared with IRQ 2 IRQ that links the two 8 IRQ address blocks.

I presume these are old - non Plug and play cards (possibly even ISA ?), so you should pre-reserve the IRQs to be used in CMOS and then state these specifically with the correct (card specific) command in PROTOCOL.INI.

Cheers/2

Ed.

Peter Godbold wrote:

> Anyone help with a problem involving configuring two Realtek Ethernet adapters on an eCS 1.1 system to access both an ADSL Internet link and a two-workstation home office peer-to-peer LAN?
>
> The NICs are Realtek 8139 Fast Ethernet Adapters with chips reported as RTL8100B/8139D in both. I am using NIC driver RTSND.OS2 V3.23vk dated 2003-01-27, as shipped with eCS 1.1.
>
> I have removed IRQ levels 9 and 10 from the BIOS PCI assignments, but in trying to assign the NIC adapters to these IRQs, the first assigns to Level 9 OK, but the second gives a :
>
> <Warning: PCI BIOS function "SET PCI IRQ failed" - set failed (88)>
>
> message during system boot.
>
> Is this a show-stopper?  I'm getting subsequent BIND problems (PRO0025 message pointing to PPPOE_nif) even though, after boot-up, Hardware Manager shows the Ethernet Adapters as assigned to IRQs 9 and 10 respectively, with no conflicts. Both PROTOCOL.INI and IBMLAN.INI seem consistent, and I can PING the loopback interface, but there seems to be no other TCP/IP routes visible.
>

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sat, 04 Oct 2003 23:23:54 +1000 (EST)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  Re:  IBM Browser 2.0.1 vs Mozila 1.4

Hi David,
Your response is the sort of answer I was looking for.

1.5rc2 sounds like its just about ready for prime-time.
If Adelaide Bank logon screen appears, you are about 99% sure Java is
working.
I tried it with IBM Java 1.3.1 & it went into some sort of loop.
I discovered it was my 512MB ISA video card however!
Putting a low-end AGP card enabled the logon screen to appear.

What is the performance of 1.5rc2 like on OS/2, W2k & WinXP?
Can 1.5rc2 be used with IBM's 1.3.1 Java?

On Fri, 03 Oct 2003 21:11:10 +1000 (EST), David Forrester wrote:

>On Tue, 30 Sep 2003 21:33:37 +1000 (EST), Daryl Pilkington wrote:
>
>>Hi All,
>>Which browser has less bugs & better compatability with web-sites:
>>IBM Browser 2.0.1 or Mozilla 1.4 (Gecko/20030624)
>
>It's a bit hard to say.  The difference between the IBM Browser and the
>equivalent Mozilla is very small.   IBM Browser might have few extra
>bugs fixed, but, it also tends comes out several months later.  But,
>>From memory, IBM Browser 2.0.1 is equivalent to Mozilla 1.3 or maybe
>1.3.1.   So, it's probable that any bugs fixed in it, have also been
>fixed in Mozilla 1.4.  But, as 1.4 has extra function, there may be
>other bugs.  
>
>As to compatibility, I assume you mean with pages, or Netscape 4.61,
>there's probably not that much difference between the two.  1.4
>probably renders pages better.
>
>Personally, I'm using 1.5rc2 on both OS/2 and Win2000.  And WinXP at
>work.  At the moment I can only find one minor problem - dragging a
>page to the personal toolbar does not open the bookmark folder menu.  
>
>>
>>Has anyone got Adelaide Bank's Java app to work with Mozilla 1.4?
>>Peoples experiences please using the versions above.
>
>I went to the Adelaide Bank using 1.5rc2 and clicked on the banking
>logon link.  A page opened and displayed a logon that appeared to be in
>Java.  As I don't have an account there, I couldn't login.  It seemed
>to work to type junk in and press login and have it tell me I needed a
>valid customer number.  This is with the Innotek Java 1.4.2 loaded in
>Mozilla 1.5.rc2.

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------